
body {
    margin: 0;
    overflow: hidden;
}

#button-container {
    position: absolute;
    bottom: 20px; /* Adjust this value to control the distance from the bottom */
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    gap: 15px;
    background: rgba(255, 255, 255, 0.9);
    padding: 15px 20px;
    border-radius: 15px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5px);
    border: 1px solid #ddd;
    z-index: 10;
}

.reset-button {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px 20px;
    font-size: 14px;
    font-weight: 600;
    color: #fff;
    background: red;
    border: none;
    border-radius: 8px;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.15);
    cursor: pointer;
    transition: transform 0.2s, background-color 0.3s, box-shadow 0.3s;

}

.reset-button:hover {
    background: rgb(86, 0, 0);
    transform: translateY(-3px);
    box-shadow: 0px 6px 12px rgba(0, 0, 0, 0.25);
}

.brush-button {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px 20px;
    font-size: 14px;
    font-weight: 600;
    color: #fff;
    background: linear-gradient(145deg, #0069d9, #0056b3);
    border: none;
    border-radius: 8px;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.15);
    cursor: pointer;
    transition: transform 0.2s, background-color 0.3s, box-shadow 0.3s;
}

.brush-button:hover {
    background: linear-gradient(145deg, #0056b3, #004080);
    transform: translateY(-3px);
    box-shadow: 0px 6px 12px rgba(0, 0, 0, 0.25);
}

.brush-button.selected {
    background: linear-gradient(145deg, #28a745, #218838);
    box-shadow: 0px 4px 10px rgba(40, 167, 69, 0.5);
    transform: scale(1.05);
}

.brush-button:active {
    transform: translateY(1px);
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.15);
}



/* Tablet View (768px and below) */
@media (max-width: 768px) {
    #button-container {
        bottom: 15px;
        padding: 12px 16px;
        gap: 12px;
        flex-wrap: wrap;
        border-radius: 12px;
    }

    .reset-button,
    .brush-button {
        padding: 8px 16px;
        font-size: 13px;
    }
}

/* Mobile View (480px and below) */
@media (max-width: 680px) {
    body {
        margin: 0;
        overflow: hidden;
    }
    canvas {
        height: 100% !important; /* Adjust height to make canvas longer */
        width: 100% !important;
        margin: 0;
    }

    #button-container {
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        gap: 10px;
        padding: 10px 14px;
        width: 90%;
        left: 50%;
        transform: translateX(-50%);
    }

    .reset-button,
    .brush-button {
        width: 45%; /* Two buttons per row */
        font-size: 12px;
        padding: 10px;
    }

    .brush-button.selected {
        transform: none;
    }
}

